Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Interchange: cvs

[interchange] don't try to start/stop Interchange when /etc/interchange/init.cfg is missing

 

 

Interchange cvs RSS feed   Index | Next | Previous | View Threaded


interchange-cvs at icdevgroup

Feb 10, 2010, 2:10 AM

Post #1 of 1 (187 views)
Permalink
[interchange] don't try to start/stop Interchange when /etc/interchange/init.cfg is missing

commit 43682b7d851bd7c816045fcf7da800f61fa8e4f3
Author: Stefan Hornburg (Racke) <racke [at] linuxia>
Date: Wed Feb 10 11:08:54 2010 +0100

don't try to start/stop Interchange when /etc/interchange/init.cfg is missing

debian/interchange.init | 6 ++++++
1 files changed, 6 insertions(+), 0 deletions(-)
---
diff --git a/debian/interchange.init b/debian/interchange.init
index 605fb75..e218376 100644
--- a/debian/interchange.init
+++ b/debian/interchange.init
@@ -43,6 +43,12 @@ test -f $DAEMON || exit 0
# --unix --inetmode Unix and Internet mode
MODE="--unix"
USER=interchange
+
+if [ ! -f /etc/interchange/init.cfg ]; then
+ echo "ERROR: /etc/interchange/init.cfg is missing."
+ exit 1
+fi
+
. /etc/interchange/init.cfg

if [ "$GPGHOME" ]; then

_______________________________________________
interchange-cvs mailing list
interchange-cvs [at] icdevgroup
http://www.icdevgroup.org/mailman/listinfo/interchange-cvs

Interchange cvs RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.